# Interface methods for submodule: MorphologicalWatershedImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MorphologicalWatershedImageFilter
class MorphologicalWatershedImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetMarkWatershedLine(self, _arg: bool) -> None:
		""""""
		...

	def GetMarkWatershedLine(self) -> bool:
		""""""
		...

	def MarkWatershedLineOn(self) -> None:
		""""""
		...

	def MarkWatershedLineOff(self) -> None:
		""""""
		...

	@overload
	def SetLevel(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLevel(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLevel(self) -> float:
		""""""
		...

	@overload
	def GetLevel(self) -> int:
		""""""
		...

